%define upstream_name    Dist-Zilla-Plugin-OnlyCorePrereqs
%define upstream_version 0.024

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Check that no prerequisites are declared that are not part of core
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
'[OnlyCorePrereqs]' is a the Dist::Zilla manpage plugin that checks at
build time if you have any declared prerequisites that are not shipped with
Perl.

You can specify the first Perl version to check against, and which
prerequisite phase(s) are significant.

If the check fails, the build is aborted.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes CONTRIBUTING INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.24.0-6.mga9
+ Revision: 1803341
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.24.0-5.mga8
+ Revision: 1494378
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.24.0-4.mga7
+ Revision: 1267548
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.24.0-3.mga6
+ Revision: 1026452
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.24.0-2.mga6
+ Revision: 971799
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 shlomif <shlomif> 0.24.0-1.mga6
+ Revision: 892728
- imported package perl-Dist-Zilla-Plugin-OnlyCorePrereqs


* Mon Oct 19 2015 cpan2dist 0.024-1mga
- initial mageia release, generated with cpan2dist
